Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create capture

POST/workspaces/{organizationId}/capture
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
urlstring<uri>required
titlestring
min length 1
selectionstring
sourcestring
teamIdstring
teamKeystring
projectIdstring
labelIdsstring[]
pageTextstring
includeFullTextboolean
summarizeboolean
screenshotobject
Show properties
contentBase64stringrequired
min length 1
contentTypestring
matches ^image\/(png|jpeg|webp)$ · default: "image/png"
Responses
201

Captured issue created

idstringrequired
organizationIdstringrequired
externalRefstring | nullrequired
teamIdstringrequired
titlestringrequired
descriptionstring | nullrequired
statusstringrequired
Allowed:triagebacklogtodoin_progressdonecanceled
prioritystringrequired
Allowed:lowmediumhighurgent
resolutionstring | nullrequired
Allowed:duplicatenot_plannedintended_behaviornot_reproducibleobsoleteresolvedskippednull
resolutionReasonstring | nullrequired
parentIdstring | nullrequired
subIssueSortOrdernumber | nullrequired
estimatenumber | nullrequired
isDraftbooleanrequired
sensitivebooleanrequired
snoozedUntilstring | nullrequired
assigneeIdstring | nullrequired
delegateIdstring | nullrequired
stepKeystring | nullrequired
requiredbooleanrequired
ownerAgentstring | nullrequired
claimedBystring | nullrequired
claimedLeaseExpiresAtstring | nullrequired
claimEpochnumberrequired
projectIdstring | nullrequired
cycleIdstring | nullrequired
labelIdsstring[]required
numbernumber | nullrequired
identifierstring | nullrequired
repostring | nullrequired
branchstring | nullrequired
prUrlstring | nullrequired
prStatestring | nullrequired
prCheckStatestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
subStepProgressobject | null
Show properties
totalintegerrequired
doneintegerrequired
blockedintegerrequired
ownerAgentstring | nullrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/capture' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "url": "http://example.com",
  "title": "string",
  "selection": "string",
  "source": "string",
  "teamId": "string",
  "teamKey": "string",
  "projectId": "string",
  "labelIds": [
    "string"
  ],
  "pageText": "string",
  "includeFullText": true,
  "summarize": true,
  "screenshot": {
    "contentBase64": "string",
    "contentType": "image/png"
  }
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "externalRef": "string",
  "teamId": "string",
  "title": "string",
  "description": "string",
  "status": "triage",
  "priority": "low",
  "resolution": "duplicate",
  "resolutionReason": "string",
  "parentId": "string",
  "subIssueSortOrder": 0,
  "estimate": 0,
  "isDraft": true,
  "sensitive": true,
  "snoozedUntil": "string",
  "assigneeId": "string",
  "delegateId": "string",
  "stepKey": "string",
  "required": true,
  "ownerAgent": "string",
  "claimedBy": "string",
  "claimedLeaseExpiresAt": "string",
  "claimEpoch": 0,
  "projectId": "string",
  "cycleId": "string",
  "labelIds": [
    "string"
  ],
  "number": 0,
  "identifier": "string",
  "repo": "string",
  "branch": "string",
  "prUrl": "string",
  "prState": "string",
  "prCheckState": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "subStepProgress": {
    "total": 0,
    "done": 0,
    "blocked": 0,
    "ownerAgent": "string"
  }
}

Was this page helpful?